FRC Characterization Tool

@Piphi5

I am getting the following error when trying to deploy project. Current installed version is 2021.3.1

How can I change to the current version or what can I do?

Below is the error I get when trying to deploy project.

Where:
Build file ‘C:\Users\6419 ICE\Documents\characterization-project\build.gradle’ line: 3

  • What went wrong:
    Plugin [id: ‘edu.wpi.first.GradleRIO’, version: ‘2021.1.2’] was not found in any of the following sources:
  • Gradle Core Plugins (plugin is not in ‘org.gradle’ namespace)
  • Plugin Repositories (could not resolve plugin artifact ‘edu.wpi.first.GradleRIO:edu.wpi.first.GradleRIO.gradle.plugin:2021.1.2’)
    Searched in the following repositories:
    MavenLocal(file:/C:/Users/6419%20ICE/.m2/repository)
    Gradle Central Plugin Repository
    frcHome(file:/C:/Users/Public/wpilib/2021/maven/)

The gradlerio version that frc-characterization uses is 2021.1.2. If you’ve never installed that version with the wpilib installer, then the artifacts aren’t available for an offline deploy. You can open the project generated by frc-characterization in VS Code, perform a build while connected to the internet, which will download the artifacts. Then you can deploy with frc-characterization (or VS Code).

You can also try using the new sysid tool as FRC char is outdated.

1 Like

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.